SpyBara
Go Premium

resources/videos/methods/get_character/index.md 2026-06-09 06:34 UTC to 2026-06-10 15:48 UTC

40 added, 0 removed.

2026
Fri 26 17:57 Thu 25 20:59 Wed 24 22:02 Tue 23 22:00 Wed 17 18:02 Tue 16 21:57 Fri 12 00:01 Wed 10 15:48 Tue 9 06:34 Fri 5 06:45 Thu 4 06:52 Tue 2 06:51

Fetch a character.

get /videos/characters/{character_id}

Fetch a character.

Path Parameters

  • character_id: string

Returns

  • id: string

    Identifier for the character creation cameo.

  • created_at: number

    Unix timestamp (in seconds) when the character was created.

  • name: string

    Display name for the character.

Example

curl https://api.openai.com/v1/videos/characters/$CHARACTER_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name"
}